shishi_parse_name(3)

NAME
shishi_parse_name - API function

SYNOPSIS
#include <shishi.h>

int shishi_parse_name(Shishi * handle, const char * name, char ** principal, char ** realm);

ARGUMENTS

Shishi * handle
    Shishi library handle created by shishi_init().

const char * name
    input principal name string, e.g. imap/mail.gnu.org\fIGNU.ORG.

char ** principal
    newly allocated output string with principal name.

char ** realm
    newly allocated output string with realm name.

DESCRIPTION
Split principal name (e.g., "simon\fIJOSEFSSON.ORG") into two newly allocated strings, the principal ("simon"), and the realm ("JOSEFSSON.ORG"). If there is no realm part in name, realm is set to NULL.

RETURN VALUE
Returns SHISHI_INVALID_PRINCIPAL_NAME if name is NULL or ends with the escape character " successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.